-- 2012-03-14 version 6.x-2.x-dev
* Tag as version 6.x-2.3

-- 2012-01-09 version 6.x-2.x-dev
* #1398900 Trying to get property of non-object when editing user with no FCKeditor access

-- 2011-10-24 version 6.x-2.x-dev
* Tag as version 6.x-2.2

-- 2011-09-05 version 6.x-2.x-dev
* #1211880 WebFM doesnt want to copy link image

-- 2010-06-08 version 6.x-2.x-dev
* #775952 Got an E_NOTICE error from fckeditor_process_form()
* #768526 Support underscores in content type keys

-- 2010-03-13 version 6.x-2.x-dev
* #726536 Save button in toolbar
* #705468 Insert View & Insert Block filters tags not preserved when editing saved nodes
* #670768 Display path to theme in settings
* #224497 Add support for CKFinder to FCKEditor

-- 2010-03-13 version 6.x-2.x-dev
* Update German translation
* Tag as version 6.x-2.1

-- 2010-03-10 version 6.x-2.x-dev
* Update POT file and Dutch translation
* Tag as version 6.x-2.1-rc1

-- 2010-03-08 version 6.x-2.x-dev
* #575626 Activating Fckeditor breaks existing node formatting
* #627514 Link to node icon appears not activated

-- 2010-02-25 version 6.x-2.x-dev
* #724584 Three small typos in the file 'fckeditor.config.js'

-- 2010-02-23 version 6.x-2.x-dev
* #716274 Clone Profile incompatible with PCRE <7.0

-- 2010-02-21 version 6.x-2.x-dev
* #701736 warning after update from fck-editor 6.x-1.4 to fck-editor 6.x-2.0 and update.php

-- 2010-01-31 version 6.x-2.x-dev
* #678170 Loading fckeditor.config.js from theme path won't always work
* Tag as version 6.x-2.0

-- 2009-12-30 version 6.x-2.x-dev
* #661884 Sometimes gets error "warning: Invalid argument supplied for foreach() in fckeditor.module on line 1114."

-- 2009-12-10 version 6.x-2.x-dev
* #639938 Update some links to http://ckeditor.com and add warnings about FCKeditor vs. CKEditor
* Small fix for upgrading from 1.4 to 2.0

-- 2009-11-02 version 6.x-2.x-dev
* #620226 notice: Undefined index: excl , simple_incl
* #620242 %checkfile in ...%checkfile could not be found
* #600820 webform + fckeditor
* #257581 german translation for d6

-- 2009-10-26 version 6.x-2.x-dev
* #614612 Fix compatibility with postgresql
* Tag as version 6.x-2.0-rc2

-- 2009-10-24 version 6.x-2.x-dev
* Tag as version 6.x-2.0-rc1

-- 2009-10-22 version 6.x-2.x-dev
* Update the translation sources (text in t() function calls)

-- 2009-10-06 version 6.x-2.x-dev
* Tag as version 6.x-2.0-beta4

-- 2009-10-05 version 6.x-2.x-dev
* #318895 FCKEditor Templates

-- 2009-10-04 version 6.x-2.x-dev
* #591502 FCKeditor's excl_regex variable is not set on install, but only when a specific FCKeditor profile is saved
* #588470 fckeditor_user_delegate error after upgrading to php 5.3
* #585394 drupalbreak russian translation problem
* #591456 Integration with Nodewords 6.x-1.2
* #537296 safari issues - undone because of fix in FCKeditor 2.6.5
* #514796 Different base styles for each textarea

-- 2009-09-14 version 6.x-2.x-dev
* Tag as version 6.x-2.0-beta3

-- 2009-09-08 version 6.x-2.x-dev
* #358999 Width definition not operative (FCKeditor in a popup)
* #338923 Improve description of security setting
* Properly hide the grippie when the editor is loaded in a collapsed field set
* #537296 safari issues
* #571892 textarea only half the size until I hover the toolbar

-- 2009-09-03 version 6.x-2.x-dev
* Tag as version 6.x-2.0-beta2

-- 2009-09-02 version 6.x-2.x-dev
* #539122 Support %n token in private folder
* #548580 warning message related to stylesheets in fckeditor.module

-- 2009-08-28 version 6.x-2.x-dev
* #355298 swiching from fckeditor to plain text editor, text disappears

-- 2009-08-25 version 6.x-2.x-dev
* #488090 Custom upload path not working when using private folders

-- 2009-08-16 version 6.x-2.x-dev
* #336644 conflict fckeditor with ajax forms module results to empty message
* #536776 SECURITY: file manager should refuse to work with fckeditor library older than 2.6.4.1
* #488090 Custom upload path not working when using private folders
* #541126 Support CVS versions of img_assist
* #410398 Smiley not in DrupalFull toolbar

-- 2009-08-05 version 6.x-2.x-dev
* #293976 Add parameters to clear static variables in functions
* #355298 swiching from fckeditor to plain text editor, text disappears

-- 2009-08-02 version 6.x-2.x-dev
* #538194 Support Image Assist 2.0

-- 2009-07-28 version 6.x-2.x-dev
* Fixed a number of spelling mistakes

-- 2009-07-25 version 6.x-2.x-dev
* #366431 Don't process textareas with #access = false
* #409038 %u wild card does not work in private folders
* #338923 Improve description of security setting

-- 2009-07-24 version 6.x-2.x-dev
* #461234 Add notice that both profile and global profile rules apply
* #530184 Add notice about importance of fckeditor_php*.php files to README.txt

-- 2009-05-14 version 6.x-2.x-dev
* #445878 Added a "fckActiveId" variable for the active editor
* #289205 Improved compatibility with IMCE

-- 2009-05-11 version 6.x-2.x-dev
* #417652 Fixed: html code generated by linktonode plugin overwrites the original anchor text

-- 2009-03-24 version 6.x-2.x-dev
* #406442 Fixed: Invalid error message when configuring FCKeditor

-- 2009-03-11 version 6.x-2.x-dev
* #380134 Fixed the incompatibility with JsMin in IE
* #379088 Added support for Web File Manager (WebFM)
* #370019 Added possibility to load fckeditor.config.js from theme path
* #365121 Fixed: Img Assist button pops up blank window with JS errors

-- 2009-03-10 version 6.x-2.x-dev
* #389186 Fixed the issue with calling IMCE filebrowser when index.html resides in Drupal folder

-- 2009-02-19 version 6.x-2.x-dev
* #363514 Fixed the issue with including nonexisting subtheme stylesheet

-- 2009-02-16 version 6.x-2.x-dev
* #372150 Fixed: break tag shows up in empty Body field after saving
* #330286 Removed the "Red Title" style from the default list of styles
* #374386 Fixed: &#160 shows up in empty Body field when ProcessHTMLEntities is set to false
* #371653 Removed t() from schema description
* #369093 Fixed: AJAX callback - XSS filter should not be called if no security filter is selected

-- 2009-01-28 version 6.x-2.x-dev
* #295937 Fixed: break plugin forces new paragraph
* #363514 Fixed: CSS files in parent theme are incorrectly included in the editor area

-- 2009-01-23 version 6.x-2.x-dev
* #352704 Fixed: moving an image corrupts its path
* #323844 Fixed: loading (sub)theme stylesheets

-- 2009-01-20 version 6.x-2.x-dev
* #347865 Fixed: invalid implementation of hook_file_download
* #350155 Fixed: double slash in path to fckstyles.xml
* #355576 Added better explanation of what simplified toolbar really is
* #358092 Fixed: forward slashes break profile names
* #347133 Disabled FCKeditor by default on admin/settings/actions/configure

-- 2009-01-19 version 6.x-2.x-dev
* #360599 Improved ImageBrowser integration

-- 2008-12-23 version 6.x-2.x-dev
* Fixed built-in file browser issues when Devel module is enabled

-- 2008-12-17 version 6.x-2.x-dev
* #347189 Improved the detection of a teaser in the body

-- 2008-12-12 version 6.x-2.x-dev
* #338923 Improved description of security setting
* #321844 Fixed: FCKeditor and Image Assist not working together

-- 2008-12-09 version 6.x-2.x-dev
* #344765 Fixed: PHP Fatal error: Class 'FCKeditor' not found

-- 2008-12-05 version 6.x-2.x-dev
* #331329 Added expermimental support for Link to content/node integration

-- 2008-12-04 version 6.x-2.x-dev
* Fixed problems with detecting valid input format
* #338019 Fixed problem with duplicated teaser on edit
* #342155 Added webform fields to the default exclusion list

-- 2008-12-01 version 6.x-2.x-dev
* #321818 Fixed: FCKeditor not displaying on any posts except initial ones

-- 2008-11-25 version 6.x-2.x-dev
* #336753 Fixed: All text disappears

-- 2008-11-19 version 6.x-2.x-dev
* #323170 Fixed: unclear notifications on the status page (You are using a feature...)
* #334947 Added LoginToboggan administration pages to the default exclusion list
* #322939 Fixed: Distinguish between Teaser and page break
* Added missing file (imgassist_small.gif)

-- 2008-11-14 version 6.x-2.x-dev
* #332727 Fixed: Fatal error in PHP4
* #327615 Added Image Browser (http://drupal.org/project/imagebrowser) to the list of supported file browsers

-- 2008-10-21 version 6.x-2.x-dev
* #314319 Added protection against XSS attacks when editing

-- 2008-10-15 version 6.x-2.x-dev
* EMailProtection has been set to "none" by default
* #313524 Fixed: "notice: Undefined index" messages in hook_user
Corrected user profile validation
* #318540 Fixed: formatting output doesn't format properly

-- 2008-10-09 version 6.x-2.x-dev
* #310988 Extended default exclusion list, added hack for module developers allowing to disable fckeditor on specific textareas (via #wysiwyg attribute)
* #316029 File_download adds text/plain content type to a pdf
* Fixed "undefined fckInstances" error in IE

-- 2008-10-08 version 6.x-2.x-dev
* #318342 Fixed SQL syntax errors
* Added upgrading instructions
* Changed all TRUE/FALSE select boxes into check boxes (usability enhancement)
* Added configuration checks when built-in file browser is enabled.
* Added automatic RTL support

-- 2008-09-22 version 6.x-2.x-dev
* #311181 translatable strings overhaul
* Improved source code according to Coder module instructions
* Improved Image Assist 6.x-1.x support

-- 2008-09-16 version 6.x-2.x-dev
* #308360 added field IDs from google_analytics and piwik modules to the default exclusion list

-- 2008-09-12 version 6.x-2.x-dev
* #307130 edit-update-notify-emails field added to default exclusion list

-- 2008-09-11 version 6.x-2.x-dev
* Added <param> tag to the list of suggested allowed tags in Filtered HTML input format.

-- 2008-09-04 version 6.x-2.x-dev
* #299404 Improved protection against browsers caching fckeditor.config.js
* #301051 Fixed: incomatibility with l10n_client (added edit-target to the default exclude list)

-- 2008-08-27 version 6.x-2.x-dev
* #268070 Assign editor-profiles to content types - improved detection of built-in types
* #270430 Fixed: Compatibility with themes that put all javascript at the bottom

-- 2008-08-26 version 6.x-2.x-dev
* #268070 Assign editor-profiles to content types

-- 2008-08-18 version 6.x-2.x-dev
* #295306 Added edit-relatedlinks-fieldset-relatedlinks to the exclusion list. (Conflict with Related Links Module).

-- 2008-08-14 version 6.x-2.x-dev
* Updated help sections
* Fixed: FCKeditor user profile validation makes adding a new user impossible
* Changed the way how profiles are loaded. It is now possible to assign more than one profile to a single role and use multiple toolbars for different textareas.

-- 2008-08-11 version 6.x-2.x-dev
* Improved loading mechanism, thereby fixing
* #273752: FCKeditor malfunctions when multiple fields are present and one of them has a teaser
* #210065: FKCeditor removes the resizable class on textareas
* #212054: Plain text editor shows unformatted text
* Fixed paths in _fckeditor_requirements

-- 2008-08-01 version 6.x-2.x-dev
* #277634 FCK not always appearing for Safari - needs refresh

-- 2008-07-31 version 6.x-2.x-dev
* #287166 PostgreSQL compatibility fix in update 6130

-- 2008-07-25 version 6.x-2.x-dev
* #243555 Configurable path to FCKeditor
* #252830 Fixed 'use theme css' and color.module integration
* #274190 added %n wildcard to match $user->name

-- 2008-07-21 version 6.x-2.x-dev
* Drop support for FCKeditor 2.4 and lower and remove notices about Drupal 5.1 and lower
* Fixed issues with ignoring selected checkboxes with user roles when saving profile
* Added support for cloning profiles

-- 2008-07-18 version 6.x-2.x-dev
* #278411 Allow field name hint below each editor to be hidden in profiles and user profiles
* Fixed: the toggle button setting could not be overridden by users
* Added hook_requirements() that checks if the latest version of FCKeditor is installed and $cookie_domain is set

-- 2008-07-15 version 6.x-2.x-dev
* #278428 Split module file in separate includes to reduce memory usage

-- 2008-07-11 version 6.x-2.x-dev and 6.x-1.x-dev
* #267538 added support for private file system
* #269478 including fckeditor.php twice is causing errors

-- 2008-07-10 version 6.x-2.x-dev
* #240932 Unify path/id exclusions

-- 2008-07-10 version 6.x-2.x-dev and 6.x-1.x-dev
* #275158 (IMG Assist broken after update) readded code to maintain
  backwards compatibility with the old img_assist_fckeditor.js

-- 2008-07-10 version 6.x-1.x-dev
* #246137 Improved and extensible file browser integration

-- 2008-07-05 version 6.x-2.x-dev
* #246137 Improved and extensible file browser integration

-- 2008-06-30 version 6.x-2.x-dev
* started development in 6--2 branch

-- 2008-06-26 version 6.x-1.x-dev
* #262193 Incorrect Format for {fckeditor_role}.{rid} Default Value

-- 2008-06-23 version 6.x-1.x-dev
* #241271 fixed creation of extra <p> tags (removed dirt hacks for IE, experimental)
* CCK: FCKeditor will now appear on fields of Text type if "Minimum rows" in FCKeditor profile is set to 1 (default).
* Fixed #263491: "Not translatable strings"

-- 2008-06-20 version 6.x-1.x-dev
* #269653 added warning page before deleting a profile
* #272834 fixed Image Assist integration problems
* improved method of adding automatically showblock buttons to the tooblar to prevent errors such like #213950
* Reverted #261483

-- 2008-06-19 version 6.x-1.x-dev
* #207845 fixed issues with unknown toolbar item "DrupalPageBreak" and "PageBreak"
* added Swedish translation
* #271153 fixed  IMCE + default state of editor "disabled" issues

-- 2008-05-23 version 6.x-1.x-dev
* added German translation
* #261483 changed the way how FCKeditor is loaded (should solve some strange problems
  with dissapearing content/FCKeditor)
* #261477 file browser should work in symlinked installations
* #261487 %t variable now points to the right place
* #261710 fixed "undefined variable: rid"

-- 2008-04-24 version 6.x-1.x-dev
* Added missing img_assist_fckeditor.js that should hav been included two days ago
* Updated README information

-- 2008-04-22 version 6.x-1.x-dev
* FCKeditor is now compatible with Image Assist module (http://drupal.org/project/img_assist)

-- 2008-04-21 version 6.x-1.x-dev
* Usability improvements: FCKeditor will now inform you in the administration section about
  possible misconfiguration

-- 2008-04-04 version drupal-6-x-1-2.1
* fixed #240608: removed javascript errors on fields without teaser break
* fixed issue with default list of fields where simplified toolbar should appear (Global Profile)

-- 2008-04-02 version drupal-6-x-1-2

* fixed #240230 (teaser was stripped when FCKeditor has been enabled and toogle was disabled)
* minor improvements in documentation, extended default ignore list
* fixed #238944 (body was stripped in preview mode when break tag was used)
* fixed E_NOTICE errors
* fixed problems with excl_mode / excl_list in global profile
* fixed issues with default inclusion or exclusion mode set to "include" when creating new profile

-- 2008-03-18 version drupal-6-x-1-1
* fixed issues with switching from text to fckeditor in the toogle,
  all previous content within the body was lost
* FCKeditor now appears for super user even if "access fckeditor" permissions are not yet assigned.
  (the Advanced profile for authenticated users is assigned)
* corrected readme file
* fixed issues with Internet Explorer
  (Object required error when "rich text editor toggle" was set to false)
* fixed issues with invalid validation of excluded fields
  (numbers are also allowed in IDs)
* extended the global list of fields where FCKeditor shouldn't appear
* added possibility to define custom javascript configuration
* instant IMCE integration
* improved handling resizable fields when FCKeditor is disabled

-- 2008-02-12 version drupal-6-x-1-1-beta
* fixed issues with handling multiple user profiles, it is now possible
 to define role precedence
* introduced the global profile, it is possible to enable/disable FCKeditor globally
 for all profiles in one place
* it is possible to use paths and fields to exclude/include FCKeditor to have better control
 over where FCKeditor should appear
* UserFilesPath and UserFilesAbsolutePath are now configurable in administration panel
* path to fckstyles.xml is configurable in administration panel
* textarea remains resizeable when FCKeditor works in popup mode
* improved profile validation
* translated strings are now properly escaped
* fixed issue with break tag appearing at the beginning of a node
* separate config file included - makes configuration of built-in file browser much easier
* fixed issue with justifying
* added possibility to define custom javascript configuration for selected profiles
* added possibility to create profile even if there is no role with 'access fckeditor' permission
* FCKeditor module now passes the Code review test

-- 2007-11-15 version drupal-6-x-1-0-dev
* ported 5.x-2.x module
* improved teaser plugin integration (break button is enabled by default)
